tcvt(1)

NAME
tcvt - two column virtual terminal

SYNOPSIS
tcvt [-c columns] [-h] [-r] [- -] program options
optcvt program options

DESCRIPTION
The two column virtual terminal emulates a virtual terminal inside another virtual terminal. The emulated virtual terminal is twice as tall and half as wide as the original terminal. The upper half of the virtual terminal goes to the left and the lower half goes to the right of the original terminal. An ANSI terminal is emulated.

While tcvt does this conversion unconditionally, the optcvt can be used with smaller terminals. It will only invoke tcvt, if the terminal is wide enough and otherwise simply exec the passed program.

OPTIONS
Both programs take a program and options to that program. They execute the given program. If no program is given a shell is executed.

In addition the tcvt tool accepts a few switches.

-c, - -columns
    Specify the number of columns. This defaults to two.

-h, - -help
    Print a quick option overview and exit.

-r, - -reverse
    Order columns so that the last one is the left most.

- - Signal end of options.

Any non-option argument signals the end of options for tcvt.

EXIT STATUS
The exit status of the wrapped program is propagated. When tcvt produces an error of its own, 255 is returned.

BUGS
Not all ANSI terminal features are emulated. If you experience rendering issues, you can export the environment variable TCVT_DEVEL. It causes tcvt to crash upon seeing an unimplemented character sequence. The error message includes the unrecognized sequence.

SEE ALSO
screen(1) splitvt(1)

AUTHOR
Helmut Grohne <helmut@subdivi.de>

AVAILABILITY
tcvt is available at http://subdivi.de/~helmut/tcvt/.